Bug 107192 - Unify documentation: How to print a few non-contiguous pages from a multi-pages document
Summary: Unify documentation: How to print a few non-contiguous pages from a multi-pag...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2017-04-15 20:40 UTC by Gérard Talbot
Modified: 2018-09-29 20:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Small screenshot of 2-5,7,11 example (12.40 KB, image/png)
2017-04-16 23:20 UTC, Gérard Talbot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gérard Talbot 2017-04-15 20:40:02 UTC
Description
- - - - - - 

Let's say an user has a Some_Document.odt which has 10 pages: (s)he wants to print only the pages 3, 4, 5 and 8. (S)he does not know how to do this, so (s)he consults the local helpfiles with F1, under the term print. (S)he will not find such information.

The correct answer is to enter
3-5,8
in the Pages input text box of the Common Print dialog window. I was able to find this information at this page 

https://ask.libreoffice.org/en/question/18355/print-a-specific-page-from-a-multi-page-document/

(look at the screenshot 

https://ask.libreoffice.org/upfiles/1370030148857273.png

where the 1-3,6 is highlighted with a yellow background color.)


Actual results
- - - - - - - - 
No available information on how to print a few non-contiguous pages from a multi-pages document in local helpfiles.


Expected results
- - - - - - - - -
Available information (with an example) on how to print a few non-contiguous pages from a multi-pages document in local helpfiles.
Comment 1 Regina Henschel 2017-04-15 22:20:48 UTC
If you select the option "pages", set the cursor into the field and press Ctrl+F1, you get the extended tip:

To print a range of pages, use a format like 3-6. To print single pages, use a format like 7;9;11. You can print a combination of page ranges and single pages, by using a format like 3-6;8;10;12.

That is HID: hid/.HelpID:vcl:PrintDialog:PageRange:Edit

Cursor in field and Ctrl+F1 is the usual way to get the extended tip of a field.
Comment 2 Gérard Talbot 2017-04-16 22:11:28 UTC
> If you select the option "pages", set the cursor into the field and press
> Ctrl+F1, you get the extended tip:
> 
> To print a range of pages, use a format like 3-6. To print single pages, use
> a format like 7;9;11. You can print a combination of page ranges and single
> pages, by using a format like 3-6;8;10;12.

Regina,

If you select the option "pages", set the cursor into the field and press Ctrl+F1, you will *not* get the extended tip if info-balloon (Tools/Options.../LibreOffice/General/Help/Info-balloon) is unchecked. Additionally, if info-balloon is unchecked, then hovering the mouse over the info-balloon label (and its checkbox) will not reveal, will not disclose the contextual help text about how useful/helpful this info-balloon can be (maybe this should be a bug by itself).

I do get the extended help, contextual help if/when I have info-balloon checked and when my mouse cursor hovers over the pages input text box (without Ctrl+F1).

Regarding info-balloon, the local help files state: "Pour afficher un infoballon, appuyez sur Maj+F1 et pointez vers un bouton ou une commande." which I can translate to:
"To display an info-balloon, press Shift+F1 and point to a button or command." No mention of Ctrl+F1. I just tried Shift+F1 and it works: the cursor changes from a white arrow into a white arrow with a question mark ("?") on its righthand side and a contextual, extended help text is displayed when hovering text labels and/or form controls.

Please note that ";" (semicolon) is used in the extended tip while I successfully use "," (comma).

 
> That is HID: hid/.HelpID:vcl:PrintDialog:PageRange:Edit
> 
> Cursor in field and Ctrl+F1 is the usual way to get the extended tip of a
> field.

I did not know of Ctrl+F1. I never thought of using Ctrl+F1.

- - - - - - -

Regina,

Just to be clear... my bug report is not formally looking for answers or assistance,... although I appreciate your Ctrl+F1 feedback. I am for tuning, updating or adding current local help files (via F1) if some useful explanation is missing.
Comment 3 Gérard Talbot 2017-04-16 22:52:53 UTC
I went to 

https://www.libreoffice.org/get-help/documentation/

and then downloaded the document GS52-GettingStartedLO.odt (21 Mega-Bytes) and this is what they say (in chapter 10, section Controlling printing, page 293, subsection Selecting pages/sheets/slides to print in Writer)

"
Printing a range of pages:
 1) Choose File > Print from the Menu bar, or press Ctrl+P.
 2) On the Print dialog, select the range of pages to print.
a) In the Range and copies section of the General page, select the Pages option.
b) Enter the sequence numbers of the pages to print (for example, 1–4 or 1,3,7,11).
"

I think that quoted text could be a bit improved. Range require an hyphen "-" (but the helpfile is actually using another character, not an hyphen) and non-contiguous pages require a comma (or semicolon?). And pages to print can define both a range and a list of contiguous pages.

"
Printing a range of pages:
 1) Choose File > Print from the Menu bar, or press Ctrl+P.
 2) On the Print dialog, select the range of pages to print.
a) In the Range and copies section of the General page, select the Pages option.
b) If you want to print a range of pages, then use a hyphen ("-") between the first and last. For example, 2-5 will print only pages 2, 3, 4 and 5 only. 
If you want to print a list of non-contiguous pages, then use a comma (",") to separate each pages. For example, 7,11 will print only pages 7 and 11. 
If you want to print a range a pages and a list of non-contiguous pages, then combine both. For example, 2-5,7,11 will print only pages 2, 3, 4, 5, 7 and 11.
"

and I would add a screen shot similar to 1370030148857273.png but considerably smaller where we would see 2-5,7,11 in the input text control.

Also, I think the helpfiles everywhere should mention that both comma and semicolon can be used to separate sub-sequence of pages. Otherwise, one of the 2 should be dropped.
Comment 4 Gérard Talbot 2017-04-16 23:20:54 UTC
Created attachment 132623 [details]
Small screenshot of 2-5,7,11 example

> I would add a screen shot similar to 1370030148857273.png but
> considerably smaller where we would see 2-5,7,11 in the input text control.

12.4 Kilo-bytes, 373px wide by 201px tall
Comment 5 Gérard Talbot 2017-04-16 23:38:00 UTC
> Range require an hyphen "-" (but the helpfile is actually using another 
> character, not an hyphen)

Hyphen is U+002D (-)
https://en.wikipedia.org/wiki/Hyphen-minus
http://www.fileformat.info/info/unicode/char/002D/index.htm
but the helpfile seems to be using a figure dash U+2012	(‒)
http://www.fileformat.info/info/unicode/char/2012/index.htm
or even an em dash U+2014 (—)
http://www.fileformat.info/info/unicode/char/2014/index.htm

Sorry if I seem to be nitpicking here but this is exactly the kind of small (even imperceptible) detail (grain of sand) that create a failure and can actually make user experience bad.
Comment 6 Gérard Talbot 2017-04-17 02:44:45 UTC
> If you select the option "pages", set the cursor into the field and press
> Ctrl+F1, you will *not* get the extended tip if info-balloon
> (Tools/Options.../LibreOffice/General/Help/Info-balloon) is unchecked.

I did more research and Shift+F1 will indeed display extended tip even if (Tools/Options.../LibreOffice/General/Help/Extended Tip) is unchecked:

https://help.libreoffice.org/Common/Turning_Extended_Tips_On_and_Off

- - - - - - -

Regina, this must be your webpage:

https://wiki.documentfoundation.org/User:Regina/HelpAuthoringDashboard
Comment 7 Gérard Talbot 2017-04-17 03:33:16 UTC
(In reply to Gérard Talbot from comment #3)
> I went to 
> 
> https://www.libreoffice.org/get-help/documentation/
> 
> and then downloaded the document GS52-GettingStartedLO.odt (21 Mega-Bytes)
> and this is what they say (in chapter 10, section Controlling printing, page
> 293, subsection Selecting pages/sheets/slides to print in Writer)

Also

http://documentation.libreoffice.org/assets/Uploads/Documentation/en/GS5.2/ODT/GS5210-PrintExportEmail.odt

if you want to view, download chapter 10 only.

> "
> Printing a range of pages:
>  1) Choose File > Print from the Menu bar, or press Ctrl+P.
>  2) On the Print dialog, select the range of pages to print.
> a) In the Range and copies section of the General page, select the Pages
> option.
> b) Enter the sequence numbers of the pages to print (for example, 1–4 or
> 1,3,7,11).
> "

I verified this very carefully with a real document and a printer connected and there is an error in that document. There is a dash (em dash or figure dash) inside "1–4" while there is an hyphen inside "1-4". LibreOffice Writer will not accept a dash but will accept the hyphen. When I inputted 1–4 in the input text box, the miniature page on its lefthand side indicated "Aucune page" that you can translate into "No page".

Later in that same document, same chapter, in the Impress and Draw subsection, we can read this:

"
Printing a range of slides:
 1) Choose File > Print from the Menu bar, or press Ctrl+P.
 2) Select the slides to print.
a) In the Range and copies section of the Print dialog, select the Slides option.
b) Enter the slide numbers to print (for example 1-4 or 1,3,7,11).
"
and now, we see an hyphen! This issue, I think, should be in a bug report by itself.
Comment 8 Gérard Talbot 2017-04-17 04:10:32 UTC
> Range require an hyphen
> "-" (but the helpfile is actually using another character, not an hyphen)


> I verified this very carefully with a real document and a printer connected
> and there is an error in that document. There is a dash (em dash or figure
> dash) inside "1–4" while there is an hyphen inside "1-4". LibreOffice Writer
> will not accept a dash but will accept the hyphen. When I inputted 1–4 in
> the input text box, the miniature page on its lefthand side indicated
> "Aucune page" that you can translate into "No page".
> (...)
> This issue, I think, should be in a bug report by
> itself.

I have filed bug 107219 for this.